using System;
using System.Collections;
using Server.Items;
using Server.Targeting;
using Server.Network;

namespace Server.Mobiles
{
	[CorpseName( "a pile of stone" )]
	public class StoneGolem : BaseCreature
	{
		[Constructable]
		public StoneGolem() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a stone golem";
			Body = 344;
			Hue = 1198;
			BaseSoundID = 0x10C;

			SetStr( 226, 255 );
			SetDex( 166, 185 );
			SetInt( 71, 92 );

			SetHits( 176, 193 );

			SetDamage( 15, 20 );

			SetSkill( SkillName.MagicResist, 70.1, 95.0 );
			SetSkill( SkillName.Tactics, 80.1, 100.0 );
			SetSkill( SkillName.HandToHand, 80.1, 100.0 );

			Fame = 5500;
			Karma = -5500;

			VirtualArmor = 44;
			
			Item ore = new IronOre( Utility.RandomMinMax( 5, 10 ) );
			PackItem( ore );
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Average );
			AddLoot( LootPack.Rich );
			AddLoot( LootPack.Gems, 2 );
		}

		public override bool BleedImmune{ get{ return true; } }

		public StoneGolem( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}